# frozen_string_literal: true

#
# This function will return the domains currently running from a specific home.
#
#
# See the file "LICENSE" for the full license governing this code.
#

Puppet::Functions.create_function(:'wls_install::running_domains') do
  dispatch :running_domains do
    param 'String[1]', :home
    return_type 'Array'
  end

  def running_domains(home)
    fact = closure_scope['wls_install_homes']
    fact.dig('running_domains', home) || []
  end
end
