#
# wls_install::clear_caches
#
# @summary This class contains the puppet code that implements the default facter cache invainvalidationlidatin rules.
# Whenever a certain set of Puppet classes or defined types is applied, it will clear the facter caches for those facts that are implemented.
#
#
# See the file "LICENSE" for the full license governing this code.
#
class wls_install::clear_caches()
{
  fact_cache { 'wls_install_homes.product_version':
    ensure      => absent,
    refreshonly => true,
  }
  Wls_install::Software_version<||> ~> Fact_cache['wls_install_homes.product_version']

  fact_cache { 'wls_install_homes.opatch_version':
    ensure      => absent,
    refreshonly => true,
  }
  Wls_install::Opatchupgrade<||> ~> Fact_cache['wls_install_homes.opatch_version']

  fact_cache { 'wls_install_homes.installed_features':
    ensure      => absent,
    refreshonly => true,
  }
  Wls_install::Software_version<||> ~> Fact_cache['wls_install_homes.installed_features']

  fact_cache { 'wls_install_homes.running_domains':
    ensure      => absent,
    refreshonly => true,
  }
  Wls_adminserver<||> ~> Fact_cache['wls_install_homes.running_domains']

  fact_cache { 'wls_install_homes.installed_patches':
    ensure      => absent,
    refreshonly => true,
  }
  Wls_install::Software_version<||> ~> Fact_cache['wls_install_homes.installed_patches']
  Wls_install::Opatchupgrade<||> ~> Fact_cache['wls_install_homes.installed_patches']
  Wls_opatch<||> ~> Fact_cache['wls_install_homes.installed_patches']

  fact_cache { 'wls_install_inventory_loc':
    ensure      => absent,
    refreshonly => true,
  }
  Wls_install::Software_version<||> ~> Fact_cache['wls_install_inventory_loc']

  fact_cache { 'ords_homes':
    ensure      => absent,
    refreshonly => true,
  }
  Wls_install::Ords::Software_version<||> ~> Fact_cache['ords_homes']
}
