#
# See the file "LICENSE" for the full license governing this code.
#
#
# This defined type removes all directoryes in the domain that once
# belonged to the default servers created by the fusion installers.
#
define wls_install::utils::private::old_servers_removed (
  Boolean $bam_enabled = false,
  Boolean $osb_enabled = false,
  Boolean $soa_enabled = false,
  Boolean $ess_enabled = false,
){

  $domain_dir = $name

  easy_type::debug_evaluation() # Show local variable on extended debug

  if ( $soa_enabled ) {
    file{"${domain_dir}/servers/soa_server1":
      ensure  => absent,
      recurse => true,
      force   => true,
    }
  }

  if ( $bam_enabled ) {
    file{"${domain_dir}/servers/bam_server1":
      ensure  => absent,
      recurse => true,
      force   => true,
    }
  }

  if ( $ess_enabled ) {
    file{"${domain_dir}/servers/ess_server1":
      ensure  => absent,
      recurse => true,
      force   => true,
    }
  }

  if ( $osb_enabled ) {
    file{"${domain_dir}/servers/osb_server1":
      ensure  => absent,
      recurse => true,
      force   => true,
    }
  }

}
